/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: NotificationBoardSettings.java 8085 2011-04-29 06:29:06Z durieuxp $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.service.exchange;

import java.util.List;
/**
 * Defines the Notification Board settings:
 * the actions list - list of NotificationSetting objects
 * and the displayed columns list - list of ColumnSetting objects.
 *
 *
 * @author radua
 */

public class NotificationBoardSettings {
    private List<NotificationSetting> actionsList;

    private List<ColumnSetting> columnsList;

    private String ackColor;

    public NotificationBoardSettings() {

    }

    /**
     * @return the columnsList.
     */
    public List<ColumnSetting> getColumnsList (){
        return this.columnsList;
    }

    /**
     * @return the actionsList. Actually, in the list of actions
     * is a list of @see NotificationSetting objects, that include more than the actions
     * list.
     */
    public List<NotificationSetting> getActionsList() {
        return this.actionsList;
    }

    /**
     * @param columnsList the list of displayed columns to set.
     */
    public void setColumnsList(final List<ColumnSetting> columnsList){
        this.columnsList = columnsList;

    }

    /**
     * @param actionsList the list of actions to set, consisting in a
     * list of NotificationSetting objects.
     */
    public void setActionsList(final List<NotificationSetting> notificationList){
        this.actionsList = notificationList;

    }

    public String getAckColor() {
        return ackColor;
    }

    public void setAckColor(String ackColor) {
        this.ackColor = ackColor;
    }
}
